Arbor 3: FSM & BT Graph Editor 3.1.3

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties | List of all members
InputSlotBase Class Reference

入力スロット More...

Inheritance diagram for InputSlotBase:

## Public Member Functions
void | SetInputBranch (CalculatorBranch branch)
| CalculatorBranchの設定。 More...
void | RemoveInputBranch (CalculatorBranch branch)
| CalculatorBranchの削除。 More...
CalculatorBranch | GetInputBranch ()
| CalculatorBranchの取得。 More...
bool | IsConnectedInput (CalculatorBranch branch)
| CalculatorBranchと接続しているか判定する。 More...

## Public Attributes
int | branchID
| ブランチのID More...
Public Attributes inherited from CalculatorSlot
NodeGraph | nodeGraph
| スロットが属しているステートマシン More...
Rect | position
| スロットのArborEditor上の位置(Editor Only) More...

## Properties
override SlotType | slotType`[get]`
| スロットの種類 More...
CalculatorBranch | branch`[get]`
| ブランチを取得する。 More...
bool | isUsed`[get]`
| 値が使われているかどうかを取得する。 More...
float | updatedTime`[get]`
| valueを更新した timeScale に依存しない時間。 More...
Properties inherited from CalculatorSlot
abstract SlotType | slotType`[get]`
| スロットの種類 More...
abstract System.Type | dataType`[get]`
| スロットに格納されるデータの型 More...

## Detailed Description

入力スロット

## Member Function Documentation

CalculatorBranch GetInputBranch | ( |  | ) |

CalculatorBranchの取得。

Returns
  CalculatorBranch

Implements IInputSlot.

bool IsConnectedInput | ( | CalculatorBranch | branch | ) |

CalculatorBranchと接続しているか判定する。

Parameters

  branch | CalculatorBranch

Returns
  接続している場合にtrue、それ以外はfalse。

Implements IInputSlot.

void RemoveInputBranch | ( | CalculatorBranch | branch | ) |

CalculatorBranchの削除。

Parameters

  branch | CalculatorBranch

Implements IInputSlot.

void SetInputBranch | ( | CalculatorBranch | branch | ) |

CalculatorBranchの設定。

Parameters

  branch | CalculatorBranch

Implements IInputSlot.

## Member Data Documentation

int branchID

ブランチのID

## Property Documentation

CalculatorBranch branch
| get

ブランチを取得する。

bool isUsed
| get

値が使われているかどうかを取得する。

override SlotType slotType
| get

スロットの種類

float updatedTime
| get

valueを更新した timeScale に依存しない時間。